Jump to content

Denzel

Level 1
  • Content Count

    1
  • Joined

  • Last visited

Community Reputation

0 Neutral

About Denzel

  1. App Store says it should be compatible with Android 1.6 and up. I have a Kindle Fire (based on Android 2.3, not 2.2 though) -- although the Kindle store doesn't have the latest version, but I was able to download the 5.0 master version APK in the link given in the Evernote for Android topic here: http://discussion.evernote.com/topic/36162-evernote-for-android-50-beta-5/). This version installed and runs fine on my device.Same problem for me and my Galaxy Ace
×
×
  • Create New...